<TeXmacs|1.99.11>

<style|<tuple|tmdoc|english|old-spacing>>

<\body>
  <tmdoc-title|Plugin installation help>

  System requirements:\ 

  <\enumerate-roman>
    An <name|Octave> installation (version 4 or newer) that provides the
    <em|octave-cli> command in an operating system shell (on OSX or Linux),
    or in the Command Prompt on Windows. On OSX, this is the default behavior
    of e.g. the Homebrew installer. However, <name|Octave> OSX App
    installations usually do not provide this capability and are then not
    detected by <TeXmacs>. The same seems to happen with <name|Octave>
    distributions on Windows. In these cases, in order to use this plugin, it
    is necessary to add the opportune <name|Octave> bin directory to the
    searchable paths of the operating system.
  </enumerate-roman>

  \;

  <\strong>
    Disclaimer: do not mess with system files if you do not exactly know what
    you are doing.<em|>
  </strong>

  <\itemize-minus>
    <item><name|Octave> Apps (on OSX). Edit your <em|.bash_profile> file
    (warning: if not properly done this may hamper the correct behavior of
    other applications) and add (or modify if there is already in place a
    PATH command) the following command (modified to fit your system):

    <with|font-base-size|9|<with|font-base-size|8|<em|export
    PATH="/Applications/NameOfTheOctaveApp.app/Contents/SomePath/bin:$PATH">><with|font-shape|italic|font-base-size|5|>>

    Note: adjust the path of the previous command to fit the specific Octave
    application you intend to use.

    <item><name|Octave> distributions on Windows. Edit your environmental
    variables, add to the Path variable the path to the bin directory of the
    <name|Octave> distribution (there may be more than one, select that that
    matches your operating system, e.g. 32 vs 64 bits).

    <item>Then, refresh the <TeXmacs> plugin system with the
    <menu|Tools|Update|Plugins> menu item.
  </itemize-minus>

  <tmdoc-copyright|1998--2002|Joris van der Hoeven>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the GNU Free Documentation License, Version 1.1
  or any later version published by the Free Software Foundation; with no
  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
  Texts. A copy of the license is included in the section entitled "GNU Free
  Documentation License".>
</body>

<initial|<\collection>
</collection>>