## function tmrepl
## August 2018 Lorenzo added plotting interface  (partly inspired by a [Texmacs-dev] discussion by Bill Eaton)
## Nov. 2019 1) exit and quit instructions are now skipped
##           2) corrected a bug when evaluating a plotting command followed by a function which returns a value and is not terminated by a semicolon.

function tmrepl()
	prompt=sprintf("%cchannel:prompt%coctave> %c",2,5,5);
	while (1)
		ans= "texmacs";
		r=input(prompt,'s');
		if r(length(r))!=";"
			dispans=1;
		else
			dispans=0;
		endif
		r = regexprep (r,'(?!\B)(quit)(?!\B)','');
		r = regexprep (r,'(?!\B)(exit)(?!\B)','');
		r=sprintf("%s;",r);
		eval(r,"tmlasterr");
		octans=ans;
		if (get (0,"currentfigure"))   ##  if there is a figure in octave
			_tm_oct_();	## call TeXmacs plotting interface
		endif
		if dispans && isnewans(octans)
             tmdisp(octans);
		endif
	endwhile
endfunction
